First Impressions with Unity

6 posts (showing 1-6)
sumiguchi

Market Level 0Community Level 1
45 posts

When I preview what the first impression players will see I get an error.  Am I doing something wrong?

Assault Bandit

Internal error... could not download UnityObject from Unity3d.com!

They will see a form here asking for their comments.

posted 2012-12-28T15:58:55-08:00 | edited 2012-12-28T16:00:27-08:00
JohnBlackburne

Market Level 3Community Level 10
2189 posts

Presumably they had a bad connection to Unity3D.com, or that site was having problems. I've no experience of it myself but this would be much more of an issue with Unity than Flash: Unity's auto-updating within the plugin has far more chance of causing problems than Flash. First as it auto-updates whether it needs to or not; Flash only prompts to do so if you're using an older version than the game needs. Second as people play Unity games far less often, maybe months apart, making it more likely each time they play that Unity will try to update.

But it's nothing wrong with your game. I played it briefly (I had to install Unity to do so) and it works fine. I would contact FGL to get a refund on that first impression as they clearly weren't able to do an assessment.

posted 2012-12-28T16:12:34-08:00
sumiguchi

Market Level 0Community Level 1
45 posts

Thanks for the feedback.  This happened when I went to the preview what the First Impressions players would see.  The game runs fine from the normal window when I navigate to it, but fails on the FI Preview page... 

posted 2012-12-28T21:18:58-08:00
JohnBlackburne

Market Level 3Community Level 10
2189 posts

Ah, then I don't know. Definitely contact FGL for their thoughts in case it's a problem with that part of the web site which only happens with Unity. You of all people should not need Unity updating.

posted 2012-12-28T21:57:43-08:00
FGL_Eric

FGL AdminCommunity Level 13
3719 posts

Thanks for the report! The preview page didn't get updated when Unity 4 came out, and it looks like Unity3d.com stopped supporting the old version of the javascript embedding tool we were using. This will be fixed in the next update (tonight or tomorrow).

posted 2012-12-29T03:02:05-08:00 | edited 2012-12-29T03:02:22-08:00
sumiguchi

Market Level 0Community Level 1
45 posts

On Dec 28, 2012, FGL_Eric said:

Thanks for the report! The preview page didn't get updated when Unity 4 came out, and it looks like Unity3d.com stopped supporting the old version of the javascript embedding tool we were using. This will be fixed in the next update (tonight or tomorrow).

Its working now - thanks for the quick turnaround! :)

posted 2012-12-30T15:23:17-08:00